Ubuntu: Cant use apt because of gnome-settings-daemon [duplicate]



Question:

This question already has an answer here:

i am running ubuntu gnome. when i attempt to do ANYTHING (update, upgrade, purge, remove, install...) with apt, i get

Reading package lists... Done  Building dependency tree         Reading state information... Done  You might want to run 'apt --fix-broken install' to correct these.  The following packages have unmet dependencies:   gnome-control-center : Depends: gnome-settings-daemon (>= 3.25.90) but 3.24.0-0ubuntu2 is to be installed                          Recommends: gnome-online-accounts (>= 3.25.3) but 3.24.0-0ubuntu1 is to be installed                          Recommends: rygel but it is not going to be installed or                                      rygel-tracker but it is not going to be installed  E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).  

then when i use

sudo apt-get --fix-broken install   

i get:

Preparing to unpack .../gnome-settings-daemon_3.26.2-1_amd64.deb ...  Unpacking gnome-settings-daemon (3.26.2-1) over (3.24.0-0ubuntu2) ...  dpkg: error processing archive /var/cache/apt/archives/gnome-settings-daemon_3.26.2-1_amd64.deb (--unpack):   trying to overwrite '/lib/udev/rules.d/61-gnome-settings-daemon-rfkill.rules', which is also in package gnome-settings-daemon-schemas 3.24.0-0ubuntu2  dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)  Reinstalling /etc/xdg/autostart/org.gnome.SettingsDaemon.XRANDR.desktop that was moved away  Reinstalling /etc/xdg/autostart/org.gnome.SettingsDaemon.Orientation.desktop that was moved away  Errors were encountered while processing:   /var/cache/apt/archives/gnome-settings-daemon_3.26.2-1_amd64.deb  E: Sub-process /usr/bin/dpkg returned an error code (1)  

I cannot do anything unless i am using dpkg to install a local package. can anybody help?


Solution:1

i fixed it. it was a problem with my repositories -- i had added the kali repository for the tools, and it was trying to install kali's gnome over ubuntu's gnome. it is all good!


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »